Description

Hello,

I recently encountered an issue on QGIS 3.2 and I don't find any solution or other thread on this subject.

I'm working on satellite images of Mars. I download processed images in .tif format (example of such an image: 

https://dl.univ-lyon1.fr/b8di9cdo8).

Since QGIS 3 when I open images in QGIS the projection system of the image is false. As shown in the first attached image the measures

given by the measure tool (and all vector measure tools ($lengh, $area...)) are false. Even if there is actually 6 units of difference between

each corner of the pixel the measure tool find about 10 m of distance.

If I switch the project SCR to Mars2000 the measure are now right (second attached images). However this CRS is in longlat and thus

factor attribute computation don't give me results in m, which is annoying.

I replicated the same problem on ubuntu with QGIS 3.2.

I never had this problem with QGIS 2.

When opening images with GDAL on python measured distances are good.

All this points make me think that the issue may be that QGIS misinterpret CSR of the .tif image and use a terrestrial ellipsoid instead of a

martian one. But I'm not familiar at all with this kind of problem and could be completely wrong.

If you need any supplementary informations about this issue I will be at your disposal.

Sylvain Breton

History

#1 - 2018-10-08 03:20 PM - Matthie Volat

Hi, I can confirm this issue is not OS specific as I can reproduce it on a linux system.

As far as I can tell, this might be an issue with the sinu projection type?

#2 - 2018-10-09 10:58 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

- Operating System deleted (macOS High Sierra)
#3 - 2018-12-28 11:31 AM - Paolo Cavallini

What is the real CRS for these data?

#4 - 2018-12-28 03:04 PM - Giovanni Manghi

- Status changed from Open to Feedback

Paolo Cavallini wrote:

What is the real CRS for these data?

Please change status to "feedback" when needed.

#5 - 2019-01-07 11:30 AM - Sylvain Breton

Paolo Cavallini wrote:

What is the real CRS for these data?

The real CRS of the image in the screenshot is the custom CRS (user:100103 -* Generated CRS (+proj=sinu +lon_0=335.47655435955 +x_0=0

+a=3396000 +b=3396000 +units=m +no_defs) Projected). This CRS is provided along the image by the NASA.

Those images are provided by Context Camera (CTX) onboard Mars Express. Each CTX image has its own local projection system. Those images are

projected on a Martian Ellipsoid (+a=3396000 +b=3396000).

#6 - 2019-01-07 11:31 AM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2019-01-10 05:13 PM - Sylvain Breton

I have made some more test on my data and found something I think could help understand the problem.

As I said I never get this issue using QGIS 2, but surprisingly projects created with QGIS 2 that I open with QGIS 3 provide the good distance values. I

can provide example file if needed.

If I create a new project (with QGIS 3) and add an image from the project created in QGIS 2 the distance is wrong. However the CRS are exactly the

same.

I hope this information could help.

#8 - 2019-01-10 05:22 PM - Giovanni Manghi

- Status changed from Open to Feedback

add the project/data.
#9 - 2019-01-10 05:56 PM - Sylvain Breton

Giovanni Manghi wrote:

add the project/data.

https://dl.univ-lyon1.fr/avfkt63l2

Available until (11th mars)

PS: the error is replicable with HiRISE data (an other set of Mars images).

#10 - 2019-01-11 01:06 PM - Giovanni Manghi

- Subject changed from Projection issue  to Mars projection issue 

- Status changed from Feedback to Open

#11 - 2019-01-22 03:33 AM - Nyall Dawson

- Status changed from Open to Feedback

The issue here isn't the CRS -- it's the Project's ellipsoid settings. But I can't see any difference in behavior here between 2.18 and 3.4 -- in both of them,

loading the .tif directly into a new project sets the project CRS as the custom user crs, but leaves the ellipsoid as "None/Planimetric". To me this is

expected behaviour -- the CRS definition doesn't include an explicit ellipsoid definition, so we can't automatically set it to match the CRS.

Manually setting the ellipsoid to either Mars2000 or a custom ellipsoid results in correct measurements (both 2.18 and 3.4)

#12 - 2019-01-22 11:19 AM - Sylvain Breton

Your comment helped me better understand my problem and I am now able to get good measurement values. However I still think there is an issue behind

this.

How did I solved my issue:

-I opened Project Properties, in the General tab I changed the ellipsoid in Measurement subsection.

-By default the selected ellipsoid is WGS 84, switching to None/planimetric solved the measurement issue.

-Switching to Custom with semi-major=semi_minor=3396000 m (Which is martian Diameter) also work.

Why do I think there is a problem here:

-Why is the default measurement ellipsoid set to WGS 84?

-On QGIS 2.18 default measurement ellipsoid is None/planimetric (that is why QGIS 2 worked for me).

#13 - 2019-01-22 05:47 PM - Matthie Volat

I get the same behavior with QGIS 3.4.3 on MacOS (from macports) and QGIS 3.4.4 on FreeBSD, the measurement ellipsoid is set to WGS84.

#14 - 2019-03-09 05:03 PM - Giovanni Manghi

Sylvain Breton wrote:

Your comment helped me better understand my problem and I am now able to get good measurement values. However I still think there is an issue
behind this.

How did I solved my issue:

can we close this then?

#15 - 2019-03-11 10:08 AM - Sylvain Breton

As I said there is still a problem as the ellipsoid of calcul is set by default to WGS84 instead of None/planimetric.

#16 - 2019-03-11 12:34 PM - Giovanni Manghi

Sylvain Breton wrote:

As I said there is still a problem as the ellipsoid of calcul is set by default to WGS84 instead of None/planimetric.

ok, but that can be changed. I think is just a matter for documenting it... Don't think is really a bug(?).

#17 - 2019-03-12 02:43 PM - Matthie Volat

This is a regression from QGIS2 that really make things harder for those who work on other bodies than earth... And maybe for users of datasets in other

CRS on earth?

What this really intentional?

#18 - 2019-03-12 02:44 PM - Giovanni Manghi

What this really intentional?

there were changes, intentional meaning that were made on purpose to make life harder I would say no.

#19 - 2019-03-12 04:30 PM - Matthie Volat

Of course (at least, I hope :)).

I've looked a bit in  src/ui/qgsprojectpropertiesbase.ui and src/app/qgsprojectproperties.cpp , but default is not really clear...

#20 - 2019-03-12 04:48 PM - Giovanni Manghi

Matthie Volat wrote:

Of course (at least, I hope :)).

I've looked a bit in  src/ui/qgsprojectpropertiesbase.ui and src/app/qgsprojectproperties.cpp , but default is not really clear...
really better raise the issue on the developers mailing list
